summaryrefslogtreecommitdiff
path: root/archive
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2022-04-15 15:30:29 -0700
committerSean Whitton <spwhitton@spwhitton.name>2022-04-15 15:30:29 -0700
commit9707c76ea38f69f9ba197ef3722770742d25cc54 (patch)
treed08bb6c65b0563d3f3161ce8313542ae28bb26b9 /archive
parentc6bab9d9f54da9b11b704e360380a18dbe7e16e9 (diff)
downloaddotfiles-9707c76ea38f69f9ba197ef3722770742d25cc54.tar.gz
archive update-emacs-snapshot
Diffstat (limited to 'archive')
-rwxr-xr-xarchive/bin/update-emacs-snapshot16
1 files changed, 16 insertions, 0 deletions
diff --git a/archive/bin/update-emacs-snapshot b/archive/bin/update-emacs-snapshot
new file mode 100755
index 00000000..11e0c544
--- /dev/null
+++ b/archive/bin/update-emacs-snapshot
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+# assumes I've already tested the upstream snapshot via 'melete' branch
+
+# now have a permanent worktree in ~/src/emacs-snapshot
+
+set -e
+
+[ -d ~/tmp/demeter-emacs ] \
+ || git -C ~/src/emacs worktree add ~/tmp/demeter-emacs athena/unstable
+cd ~/tmp/demeter-emacs
+
+debian/merge-snapshot
+rebuild-for-athena unstable
+
+git -C ~/src/emacs worktree remove ~/tmp/demeter-emacs